# owncast -- https://owncast.online/quickstart/container/
services:
  owncast:
    image: owncast/owncast:latest	
    container_name: owncast
    ports:
      - "3233:8080"
      - "1935:1935"
    environment:
      - PUID=1000
      - PGID=1000
    volumes:
      #- ./data:/app/data
      - owncast-mnt:/app/data
    restart: unless-stopped

volumes:
  owncast-mnt:
    name: owncast-mnt
    driver_opts:
      type: nfs
      o: addr=truenas,nolock,soft,rw
      device: :/mnt/store/vault/app/owncast